Bug 9953 - When OpacMaintenance breaks lifting debarment
Summary: When OpacMaintenance breaks lifting debarment
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Fridolin SOMERS
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-29 12:07 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.86 KB, patch)
2013-03-29 12:17 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 9953 - When OpacMaintenance brakes lifting debarment (5.09 KB, patch)
2013-03-29 20:57 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 9953 - When OpacMaintenance breaks lifting debarment (5.54 KB, patch)
2013-03-30 18:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9953 - When OpacMaintenance breaks lifting debarment (5.55 KB, patch)
2013-03-30 18:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-03-29 12:07:06 UTC
When OpacMaintenance is on, any opac page will redirect to maintenance.pl.
Some pages of intranet have the same behavior : 
  mancredit.pl
  maninvoice.pl
  setdebar.pl
  setstatus.pl
This is because in checkauth, if type arg is undefined it is "opac" by default.
Type arg must always be defined in intranet pages.
Comment 1 Fridolin SOMERS 2013-03-29 12:17:36 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-03-29 20:41:28 UTC
this is a crazy bug. Good catch!
Comment 3 Liz Rea 2013-03-29 20:57:50 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-03-30 18:58:45 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-03-30 18:59:28 UTC
Created attachment 17044 [details] [review]
[PASSED QA] Bug 9953 - When OpacMaintenance breaks lifting debarment

When OpacMaintenance is on, any opac page will redirect to maintenance.pl.
Some pages of intranet have the same behavior and you get 404 error.
This is because in checkauth, if type arg is undefined it is "opac" by default.

This patch adds type arg in all intranet calls of checkauth.

Test plan :
- Set syspref OpacMaintenance=Show
- Go to a borrower page
- Click on "Fines" and "Create manual invoice"
- Enter an amount and save
=> Check you go to members/boraccount.pl and not maintenance.pl with 404 error

OK

- Click on "Fines" and "Create manual credit"
- Enter an amount and save
=> Check you go to members/boraccount.pl and not maintenance.pl with 404 error

OK

- Edit borrower
- Set "Restricted" to yes and save
- Click on "Lift restriction" in messages
=> Check you keep in member page and not maintenance.pl with 404 error

OK

- Edit borrower
- Set "Expiry date" to a day in the past and save
- Click on "Renew" in messages
=> Check you keep in member page and not maintenance.pl with 404 error

OK

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Good catch, a tricky bug.
http://bugs.koha-community.org/show_bug.cgi?id=9952

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Removed a few tabs from mancredit.
All tests and QA script pass now.
Good test plan.
Comment 6 Jared Camins-Esakov 2013-03-30 21:09:06 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-03-31 02:04:14 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.5 and 3.8.12